.AUTODEPEND

#		*Translator Definitions*
CC = bcc32 +link.cfg
TASM = TASM /zi
TLIB = tlib
TLINK = tlink32
SOURCE = ..\source
LIBPATH = C:\BC45\LIB;..\..\common\lib
INCLUDEPATH = C:\BC45\INCLUDE;..\..\common\h;..\include


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*
EXE_dependencies = \
link.obj \
allocate.obj \
module.obj \
hash.obj  \
list.obj \
error.obj \
public.obj \
extern.obj \
lnames.obj \
segment.obj \
data.obj \
fixup.obj \
modend.obj \
map.obj \
virdef.obj \
libs.obj

#		*Explicit Rules*
link.exe: link.cfg $(EXE_dependencies)
  $(TLINK) /Tpe/ax/v/x/c/P-/L$(LIBPATH) @&&|
c0x32.obj+
link.obj+
allocate.obj+
module.obj+
hash.obj+
list.obj+
error.obj+
public.obj+
extern.obj+
lnames.obj+
segment.obj+
data.obj+
fixup.obj+
modend.obj+
map.obj+
virdef.obj+
libs.obj
link.exe
		# no map file
common32.lib+
cw32.lib+
import32.lib
|

#		*Individual File Dependencies*
allocate.obj: link.cfg $(SOURCE)\allocate.c
	$(CC) -c $(SOURCE)\allocate.c
data.obj: link.cfg $(SOURCE)\data.c
	$(CC) -c $(SOURCE)\data.c
error.obj: link.cfg $(SOURCE)\error.c
	$(CC) -c $(SOURCE)\error.c
extern.obj: link.cfg $(SOURCE)\extern.c
	$(CC) -c $(SOURCE)\extern.c
fixup.obj: link.cfg $(SOURCE)\fixup.c
	$(CC) -c $(SOURCE)\fixup.c
hash.obj: link.cfg $(SOURCE)\hash.c
	$(CC) -c $(SOURCE)\hash.c
libs.obj: link.cfg $(SOURCE)\libs.c
	$(CC) -c $(SOURCE)\libs.c
link.obj: link.cfg $(SOURCE)\link.c
	$(CC) -c $(SOURCE)\link.c
list.obj: link.cfg $(SOURCE)\list.c
	$(CC) -c $(SOURCE)\list.c
lnames.obj: link.cfg $(SOURCE)\lnames.c
	$(CC) -c $(SOURCE)\lnames.c
map.obj: link.cfg $(SOURCE)\map.c
	$(CC) -c $(SOURCE)\map.c
modend.obj: link.cfg $(SOURCE)\modend.c
	$(CC) -c $(SOURCE)\modend.c
module.obj: link.cfg $(SOURCE)\module.c
	$(CC) -c $(SOURCE)\module.c
public.obj: link.cfg $(SOURCE)\public.c
	$(CC) -c $(SOURCE)\public.c
segment.obj: link.cfg $(SOURCE)\segment.c
	$(CC) -c $(SOURCE)\segment.c
virdef.obj: link.cfg $(SOURCE)\virdef.c
	$(CC) -c $(SOURCE)\virdef.c
#		*Compiler Configuration File*
link.cfg: 
  copy &&|
-v
-G
-O
-Og
-Oe
-Om
-Ov
-Ol
-Ob
-Op
-Oi
-Z
-vi
-H=TEST.SYM
-w-ret
-w-nci
-w-inl
-wpin
-wamb
-wamp
-w-par
-wasm
-wcln
-w-cpt
-wdef
-w-dup
-w-pia
-wsig
-wnod
-w-ill
-w-sus
-wstv
-wucp
-wuse
-w-ext
-w-ias
-w-ibc
-w-pre
-w-nst
-w-pro
-I$(INCLUDEPATH)
-L$(LIBPATH)
| link.cfg